org.apache.ignite.internal.processors.platform.client

## Class ClientRequestHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequestHandler

All Implemented Interfaces:
  ClientListenerRequestHandler

    public class ClientRequestHandler
    extends Object
    implements ClientListenerRequestHandler

Thin client request handler.

### Method Summary

All Methods Instance Methods Concrete Methods
`ClientListenerResponse` `handle(ClientListenerRequest req)` Handle request.
`ClientListenerResponse` `handleException(Exception e, ClientListenerRequest req)` Handle exception.
`void` `writeHandshake(BinaryWriterExImpl writer)` Write successful handshake response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### handle

    public ClientListenerResponse handle(ClientListenerRequest req)

Handle request.

Specified by:
  `handle` in interface `ClientListenerRequestHandler`
Parameters:
  `req` - Request.
Returns:
  Response.

#### handleException

    public ClientListenerResponse handleException(Exception e,
                                                  ClientListenerRequest req)

Handle exception.

Specified by:
  `handleException` in interface `ClientListenerRequestHandler`
Parameters:
  `e` - Exception.
  `req` - Request.
Returns:
  Error response.

#### writeHandshake

    public void writeHandshake(BinaryWriterExImpl writer)

Write successful handshake response.

Specified by:
  `writeHandshake` in interface `ClientListenerRequestHandler`
Parameters:
  `writer` - Binary writer.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018